close all; clear all;
U = @(x,varargin) sin(sqrt(sum(x.^2,2)));

m = [];
L2err = zeros(1,5);
hmesh = zeros(1,5);
Labs = zeros(1,5);

m = load_Mesh('Coordinates_Mzero.dat','Elements_Mzero.dat');
m = add_Edges(m);
m.ElemFlag = ones(size(m.Elements,1),1);
loc = get_BdEdges(m);
m.BdFlags = zeros(size(m.Edges,1),1);
m.BdFlags(loc) = -1;

for i = 1:5
    [L2err(i), Labs(i), hmesh(i)] = L2Itpr(m, U);
    m = refine_REG(m);
end

loglog(hmesh, L2err, 'bo-', 'LineWidth', 2);
xlabel('h'); ylabel('L^2-error'); grid on;
